#if defined(Uses_IdString) && !defined(Def_IdString)
#define Def_IdString

struct IdString
{
	ushort id;
	char*  text;
};

#endif

#if defined(Uses_RefString) && !defined(Def_RefString)
#define Def_RefString

struct RefString
{
	ushort id;
	char   text[256];
};

#endif

#if defined(Uses_RefStrCollection) && !defined(Def_RefStrCollection)
#define Def_RefStrCollection

const ushort MaxRefStrBufSize = 0xFFFFU - 32 - 1;

class IdString;

class RefStrCollection : public TNSSortedCollection, public TStreamable
{
public:

	RefStrCollection(const IdString*);

	virtual void shutDown();
	const char* get(ushort);
	const char* operator [] (ushort);

private:

	virtual void freeItem(void*);
	virtual int  compare(void*, void*);

protected:

	ushort bufSize;
	char* base;
	STREAMABLE(RefStrCollection)
};

STREAMABLE_OPS(RefStrCollection)

inline const char* RefStrCollection::operator [] (ushort id)
{
	return get(id);
}

#endif

